Application: gvSIG desktop - gvSIG feature requests #1113

Modificar estuctura tabla: campo geometry

09/11/2012 09:50 AM - Alvaro Anguix

Status:

Priority:
Assignee:
Category:
Target version:
gvSIG version:
Keywords:

Has patch:
Add-on name:
Add-on version:

Closed

Low

Juan Lucas Dominguez
Document table
2.0.0-rc5

2.0.0

No
Unknown

% Done: 0%
Spent time: 0.00 hour

Add-on resolve version:
Add-on resolve build:
Proyecto:

Hito:

Description

Al seleccionar la opcién de modificar la estructura de una tabla que esta asociada a un shp, nos aparece en el listado de campo el de
geometry. Creo que no deberia aparecer, pues un usuario no avanzado podria no saber qué es ese campo (que no se visualiza en la

tabla) y eliminarlo, con lo que automaticamente se cargaria el shp.

History

#1 - 10/30/2012 01:17 PM - Manuel Madrid

- Category set to Document table

- Priority changed from Normal to Low

- Target version set to 2.0.0-rc1

#2 - 10/30/2012 01:22 PM - Manuel Madrid

- Tracker changed from gvSIG bugs to gvSIG feature requests

Una alternativa podria ser impedir modificaciones sobre este campo. De esa manera aunque se muestre no hay peligro.

#3 - 12/07/2012 01:47 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-final

#4 - 01/21/2013 01:09 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

- Assignee set to Juan Lucas Dominguez

Prevented renaming/deleting geometry field.

gvsig-desktop:r39610

Test:

It should not be possible now to delete/rename geometry field

#5 - 02/06/2013 10:52 AM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-final to 2.0.0-rc5
#6 - 02/26/2014 12:33 PM - Alvaro Anguix
- Status changed from Fixed to Closed
